MakeYoYInflationCapFloor Class Reference

helper class More...

`#include <ql/instruments/makeyoyinflationcapfloor.hpp>`

## Public Member Functions

| MakeYoYInflationCapFloor (YoYInflationCapFloor::Type capFloorType, const ext::shared_ptr< YoYInflationIndex > &index, const Size &length, const Calendar &cal, const Period &observationLag)
MakeYoYInflationCapFloor & | withNominal (Real n)
MakeYoYInflationCapFloor & | withEffectiveDate (const Date &effectiveDate)
MakeYoYInflationCapFloor & | withFirstCapletExcluded ()
MakeYoYInflationCapFloor & | withPaymentDayCounter (const DayCounter &)
MakeYoYInflationCapFloor & | withPaymentAdjustment (BusinessDayConvention)
MakeYoYInflationCapFloor & | withFixingDays (Natural fixingDays)
MakeYoYInflationCapFloor & | withPricingEngine (const ext::shared_ptr< PricingEngine > &engine)
MakeYoYInflationCapFloor & | asOptionlet (bool b=true)
| only get last coupon
MakeYoYInflationCapFloor & | withStrike (Rate strike)
MakeYoYInflationCapFloor & | withAtmStrike (const Handle< YieldTermStructure > &nominalTermStructure)
MakeYoYInflationCapFloor & | withForwardStart (Period forwardStart)
| operator YoYInflationCapFloor () const
| operator ext::shared_ptr< YoYInflationCapFloor > () const

## Detailed Description

helper class

This class provides a more comfortable way to instantiate standard yoy inflation cap and floor.